Bug 39062 - beep: beep for a pitch and duration
Summary: beep: beep for a pitch and duration
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-06-09 16:10 UTC by tyler spivey
Modified: 2003-04-06 02:29 UTC (History)
0 users

See Also:


Attachments
file.shar (1.47 KB, text/plain)
2002-06-09 16:10 UTC, tyler spivey
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description tyler spivey 2002-06-09 16:10:02 UTC
new port.
Comment 1 tyler spivey 2002-06-09 19:39:07 UTC
new shar archive to fix errors:
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	beep
#	beep/Makefile
#	beep/pkg-comment
#	beep/pkg-descr
#	beep/pkg-plist
#	beep/distinfo
#
echo c - beep
mkdir -p beep > /dev/null 2>&1
echo x - beep/Makefile
sed 's/^X//' >beep/Makefile << 'END-of-beep/Makefile'
X# New ports collection makefile for: beep
X# Date Created: June 9, 2002
X# Whom: Tyler Spivey
X# $FreeBSD$
X
XPORTNAME=	beep
XPORTVERSION=	1.0
XCATEGORIES=	audio
XMASTER_SITES=	\
Xftp://ftp.ugh.net.au/pub/unix/beep/
X
XMAINTAINER=	tspivey8@telus.net
X
XMAN1=	beep.1
XMANCOMPRESSED=	maybe
XWRKSRC=	${WRKDIR}/${PORTNAME}
X.include <bsd.port.mk>
END-of-beep/Makefile
echo x - beep/pkg-comment
sed 's/^X//' >beep/pkg-comment << 'END-of-beep/pkg-comment'
XBeeps a certain duration and pitch out of the PC Speaker
END-of-beep/pkg-comment
echo x - beep/pkg-descr
sed 's/^X//' >beep/pkg-descr << 'END-of-beep/pkg-descr'
XThis program will beep, using a 
Xduration and pitch specified on the command line or the program's defaults.
X
X- Tyler Spivey
Xtspivey8@telus.net
END-of-beep/pkg-descr
echo x - beep/pkg-plist
sed 's/^X//' >beep/pkg-plist << 'END-of-beep/pkg-plist'
Xbin/beep
END-of-beep/pkg-plist
echo x - beep/distinfo
sed 's/^X//' >beep/distinfo << 'END-of-beep/distinfo'
XMD5 (beep-1.0.tar.gz) = 4e473b0922445d8dbd7103c24f47dc23
END-of-beep/distinfo
exit
Comment 2 tyler spivey 2002-06-20 00:03:03 UTC
Here is an updated file, provides more master sites and fixes all portlint errors.
command line used: portlint -abtN

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	beep
#	beep/Makefile
#	beep/pkg-comment
#	beep/pkg-descr
#	beep/pkg-plist
#	beep/distinfo
#
echo c - beep
mkdir -p beep > /dev/null 2>&1
echo x - beep/Makefile
sed 's/^X//' >beep/Makefile << 'END-of-beep/Makefile'
X# New ports collection makefile for: beep
X# Date Created: June 9, 2002
X# Whom: Tyler Spivey
X# $FreeBSD$
X
XPORTNAME=	beep
XPORTVERSION=	1.0
XCATEGORIES=	audio
XMASTER_SITES=	\
Xftp://ftp.ugh.net.au/pub/unix/beep/ \
Xftp://ftp.megamirror.com/pub/ugh/unix/beep/ \
Xhttp://ftp.megamirror.com/pub/ugh/unix/beep/
X
XMAINTAINER=	tspivey8@telus.net
X
XMAN1=	beep.1
XMANCOMPRESSED=	maybe
XWRKSRC=	${WRKDIR}/${PORTNAME}
X.include <bsd.port.mk>
END-of-beep/Makefile
echo x - beep/pkg-comment
sed 's/^X//' >beep/pkg-comment << 'END-of-beep/pkg-comment'
XBeeps a certain duration and pitch out of the PC Speaker
END-of-beep/pkg-comment
echo x - beep/pkg-descr
sed 's/^X//' >beep/pkg-descr << 'END-of-beep/pkg-descr'
XThis program will beep, using a 
Xduration and pitch specified on the command line or the program's defaults.
X
X- Tyler Spivey
Xtspivey8@telus.net
END-of-beep/pkg-descr
echo x - beep/pkg-plist
sed 's/^X//' >beep/pkg-plist << 'END-of-beep/pkg-plist'
Xbin/beep
END-of-beep/pkg-plist
echo x - beep/distinfo
sed 's/^X//' >beep/distinfo << 'END-of-beep/distinfo'
XMD5 (beep-1.0.tar.gz) = 4e473b0922445d8dbd7103c24f47dc23
END-of-beep/distinfo
exit
Comment 3 Edwin Groothuis freebsd_committer 2003-04-06 02:29:32 UTC
State Changed
From-To: open->closed

Commited, thanks!